from dajax.core import Dajax

from django.db.models import get_model
from django.contrib.contenttypes.models import ContentType
from django.db.models import get_model, Q
from django.contrib.auth.models import User


from jumbo.utils.functions import get_settings


def get_objmember(request, query):
    
    model_allowed = get_settings('agenda.settings', 'MODELS_ALLOWED_FOR_APPOINTMENT')
    objList = []
    objKeys = []
    list = []
    q = Q()
    for k in model_allowed.iterkeys():
        kk = k.split('.')
        m = get_model(kk[0],kk[1])
        for search_field in model_allowed[k]:
            d = {'%s__icontains' % search_field : query}

            q = m.objects.filter(**d)
    
            for obj in q:
                value = '%s-%s' %(ContentType.objects.get_for_model(m).id, obj.id)
                label = '%s | %s' %(ContentType.objects.get_for_model(m), obj.__unicode__())
                list.append([value,label])


    u = User.objects.filter(Q(username__icontains = query) | Q(first_name__icontains = query) | Q(last_name__icontains = query))
    for o in u:
        value = '%s-%s' %(ContentType.objects.get_for_model(User).id, o.id)
        label = '%s | %s (%s %s)' %(ContentType.objects.get_for_model(User), o.__unicode__(), o.first_name, o.last_name)
        list.append([value,label])

    return list