## -*- coding: utf-8 -*-
#import calendar
#import os.path
#
#from datetime import datetime, time, date, timedelta
#
#from django.db import connection
#from django.core.exceptions import ObjectDoesNotExist
#from django.contrib.auth.decorators import login_required
#from django.contrib.auth.models import User
#from django.utils import simplejson
#from django.http import HttpResponse, HttpResponseRedirect, HttpResponseNotFound, HttpResponseForbidden, Http404
#from django.utils.translation import ugettext_lazy as _
#from django.views.generic import list_detail
#from django.db.models import get_model, Q
#from django.contrib.contenttypes.models import ContentType
#from django.forms.models import modelformset_factory, inlineformset_factory
#
#from jumbo.core.urlresolvers import reverse
#from jumbo.shortcuts import render_to_response, render_to_string
#from jumbo.http import HttpError, HttpForbidden, HttpMessage, HttpDoesNotExists
#from jumbo.views.generic import generic_views
#from jumbo.utils.functions import get_settings
#
##from agenda.utils import *
#from jumbo.apps.calendar.utils import *
#from agenda.models import Appointment, Membership
#from agenda.forms import AppointmentAddForm, MembershipFormInline
#
#
#@login_required
#def agenda_calendar_list(request, type_list=None, day=None):
#    # Controllo il parametro type_list, altrim default mese
#    if not type_list or type_list not in ('day', 'week', 'month', 'year'):
#        type_list = 'month'
#
#    if not day:
#        day = date.today()
#    else:
#        day = date(int(day[0:4]),int(day[4:6]),int(day[6:]))
#
#    if type_list == 'day':
#        template_name = 'calendar/day.html'
#        period = CalendarDay(day)
#
#    if type_list == 'week':
#        template_name = 'calendar/week.html'
#        period = CalendarWeek(day)
#
#    if type_list == 'month':
#        template_name = 'calendar/month.html'
#        period = CalendarMonth(day)
#
#    if type_list == 'year':
#        template_name = 'calendar/year.html'
#        period = CalendarYear(day)
#
#    appointments = Appointment.objects.filter(
#        date_begin__lte=period.last_datetime_range, date_end__gte=period.first_datetime_range
#    ).order_by('date_begin')
#
#    for app in appointments:
#        period.add_event(app)
#
#    return render_to_response(template_name, period=period, app_label='agenda')
#
#
#def app_add(request):
#
#    app = Appointment()
#    mem = Membership()
#
#    if request.method == 'POST':
#        form = AppointmentAddForm(request.POST, instance=app)
#        if form.is_valid(): # and formset.is_valid():
#            form.save()#form.save_and_send(formset)
#            return HttpResponseRedirect(reverse('admin:appointment_appointment_changelist'))
#
#    else:
#        form = AppointmentAddForm(instance=app)
#
#    MembershipFormset = inlineformset_factory(Appointment, Membership, form=MembershipFormInline, fk_name='appointment', extra=3, can_delete=False)
#
#    formset  = MembershipFormset(request.POST, instance=mem)
#
#    return render_to_response('admin/appointment/appointment/add.html', form=form, formset=formset, app_label='agenda')
